package com.redxun.knowledge.album.entity.vo;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 文件名: AlbumYelpInfoPcVo
 * 作者: Zizg
 * 时间: 2023/2/15
 * 描述:
 * 修改人:
 * 修改时间:
 * 修改内容:
 */
@ApiModel("PC点评信息列表Vo")
@Data
public class AlbumYelpListPcVo implements Serializable {

    @ApiModelProperty("点评Id")
    private String pkId;

    @ApiModelProperty("点评状态")
    private Integer state;

    @ApiModelProperty("创建人名称")
    private String createName;

    @ApiModelProperty("创建人头像")
    private String createPhoto;

    @ApiModelProperty("评论内容")
    private String content;

    @ApiModelProperty("评论时间")
    @DateTimeFormat(
            pattern = "yyyy-MM-dd HH:mm:ss"
    )
    @JSONField(
            format = "yyyy-MM-dd HH:mm:ss"
    )
    @JsonFormat(
            pattern = "yyyy-MM-dd HH:mm:ss",
            timezone = "GMT+8"
    )
    private Date createTime;

    @ApiModelProperty("回复数量")
    private Integer replyCount;

    @ApiModelProperty("回复内容")
    private List<AlbumYelpListPcVo> replies;
}
